0

I was trying to create a new module in magento2. I followed all the steps to create the module but I am still getting the below error :

"Setup version for module 'TW_Newmodule' is not specified. "

Please help me. What am I doing wrong in my module ?

Path of the code is app/code

You can download the code from here http://184.107.158.214/TW.zip .

Thanks in Advance

0

Magento 2.0.0 GA Launch. I am discussing about this post regarding to magento 2.0.0.

For Magento 2.0.0 general availability, you must have to declared registration.php and composer.json in your root. Also in your module attached above both of this file are not available. For in magento2.0.0,

     In all .xml file xsi:noNamespaceSchemaLocation value are changed.so you have to update value for that.
1

You module incomplete. You need add composer.json and register.php files to root of module.

Also looks like you add module to list by self. Please use bin/magento module:enable for this.

For more details about module creation see in Official Documentation

  • Thanks for your response . As you mentioned about register.php , what will it be code for that because wherever nowhere it was mentioned ... – ssnegi Nov 18 '15 at 14:03
  • Hello Kandy , Thanks for your support , now the module has been successfully created . . but I am facing issue when I am trying to run the module it on the browser "127.0.0.1/magento2ce/newmodule ", I am getting 404 Error . Could you let me know if I need to add something in composer.json on the magento root or any other setting ? – ssnegi Nov 19 '15 at 13:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.